
#import <UIKit/UIKit.h>

/*
 This class inherits from the UITableViewController.
 Child classes of UITableViewController can implement certain
 methods that allow it to manipulate a table view. These methods
 will be discussed in more detail in the implementation file.
 */

@interface RootViewController : UITableViewController 
{
    NSArray* mMenuOptions;
}

// A simple enumeration of the "menu" items that will be displayed
// in our table view. 
enum MenuItems
{
    SLIDER_EXAMPLE = 0,
    MODAL_EXAMPLE,
    MAP_EXAMPLE
};

@end
